{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block title %}Change Password{% endblock title %}

{% block content %}
<section class="hero has-background-light is-fullheight" style="margin-top:-100px;">
    <div class="hero-body">
        <div class="container has-text-centered">
            <div class="columns">
                <div class="column is-4 is-offset-4">
                    <div class="box">
                        <figure class="avatar mb-3">
                            <img src="{% static 'images/IFP_logo.png' %}" width="192" height="192" />
                        </figure>

                        <h1>{% if token_fail %}Bad Token{% else %}Change Password{% endif %}</h1>

                        {% if token_fail %}
                        <p>The password reset link was invalid. Perhaps it has already been used? Please request a <a href="{% url 'account_reset_password' %}">new password reset</a>.</p>
                        {% else %}
                        {% if form %}
                        <form method="POST" action=".">
                            {% csrf_token %}
                            {{ form|crispy }}
                            <button class="button is-info" type="submit">Change Password</button>
                        </form>
                        {% else %}
                        <p>Your password is now changed.</p>
                        {% endif %}
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock content %}